/// <reference types="react" />
import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import { ModalProps } from './Modal';
export declare type DialogActionButtonProps = PropsWithMetadata<{
    /** Sets the button label */
    label: string;
    /** Sets the button click handler */
    onClick?: () => void;
    /** Should the button show a spinner? */
    loading?: boolean;
    /** Should the button be disabled? */
    disabled?: boolean;
}>;
export declare type DialogProps = ModalProps & {
    /** Sets the title of the dialog  */
    title: string;
    /** Sets the reference to the aria-labelledby attribute. It'll add a default value if not present. */
    labelledBy?: string;
    /** Sets the reference to the aria-describedby attribute */
    describedBy?: string;
    /** `default` is used for regular interactions and `destructive` is usually for destructing (e.g. deletion) */
    variant?: 'default' | 'destructive';
    /** Sets the width of the dialog */
    size?: 'small' | 'medium' | 'large';
    /** Configures the label and behaviour of the primary action button */
    confirmButton: DialogActionButtonProps;
    /** Configures the label and behaviour of the secondary action button */
    cancelButton: DialogActionButtonProps;
};
declare const Dialog: ({ metadata, children, className, onRequestToClose, onClose, onOpen, open, title, labelledBy, describedBy, confirmButton, cancelButton, variant, size, }: DialogProps) => JSX.Element;
export default Dialog;
